/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.floattobigdecimalexamples;

import java.math.BigDecimal;

/**
 *
 * @author omozegieaziegbe
 */
public class FloatToBigDecimalExamples {

    public static void main(String[] args) {

        float floatValue = 3.14159f;
        BigDecimal bigDecimalValue = new BigDecimal(floatValue);
        System.out.println("Using the BigDecimal(double) constructor method: " + bigDecimalValue); // Output: 3.141590118408203125

        float aFloat = 3.14159f;
        String floatString = Float.toString(aFloat); // Convert float to String
        BigDecimal bigDecimal = new BigDecimal(floatString); 
        System.out.println("Using the BigDecimal(String) constructor: " + bigDecimal); // Output: 3.14159

        float anotherFloat = 3.14159f;
        BigDecimal anotherDecimal = BigDecimal.valueOf(anotherFloat);
        System.out.println("Using the valueOf(double) method: " + anotherDecimal); // Output: 3.141590118408203

    }
}
